After you upgrade from Joomla! 1.5 to 1.7, the old plugin of Joomla! 1.5 can not be used anymore and you have to reinstall the plugin is compatible with the new version of Joomla. But if you can not find the plugin compatible with Joomla! 1.7, in this case, you can try converting them to be used with Joomla! 1.7

Convert a simple plugin for Joomla! 1.5 to 1.7

1. Login to Administrator of Joomla! 1.7, then install the old plugin.

2. Browse to the plugin's folder. They are usually located in the folder plugins/plugin type/plugin name.

3. Open the xml file of the plugin. This file is named like the name of the plugin (eg plugin_name.xml).

4. Change the parameters of the old version for compatibility with new version:

Find:

<install version="1.5" type="plugin" group="system">

Replace with:

<extension version="1.7" type="plugin"  group="system">

Find:

<params>

Replace with:

<config>

<fields name="params">

<fieldset name="basic">

Find:

<params group="advanced">

Replace with:

<fieldset name="advanced">

Find:

<param name="plugin_parameter" ... >

</param>

Replace with:

<field name="plugin_parameter" ...>

</field>

Find:

</params>

Replace with:

</fieldset>

Find:

</install>

Replace with:

</fields>

</config>

</extension>

Sample

Joomla! 1.5 Plugin xml

<?xml version="1.0" encoding="utf-8"?>

<install version="1.5" type="plugin" group="system">
<name></name>
<author></author>
<creationDate></creationDate>
<copyright></copyright>
<license></license>
<authorEmail></authorEmail>
<authorUrl></authorUrl>
<version></version>
<description></description>
<files>
<filename plugin="plugin_name">plugin_name.php</filename>
<filename>index.html</filename>
</files>
<params>
<param name="plugin_parameter">
</param>
</params>
<params group="advanced">
<param name="plugin_advanced_parameter">
</param>
</params>
</install>

Joomla! 1.7 Plugin xml

<?xml version="1.0" encoding="utf-8"?>
<extension version="1.7" type="plugin" group="system">
<name></name>
<author></author>
<creationDate></creationDate>
<copyright></copyright>
<license></license>
<authorEmail></authorEmail>
<authorUrl></authorUrl>
<version></version>
<description></description>
<files>
<filename plugin="plugin_name">plugin_name.php</filename>
<filename>index.html</filename>
</files>
<config>
<fields name="params">
<fieldset name="basic">
<field name="plugin_parameter">
</field>
</fieldset>
<fieldset name="advanced">
<field name="plugin_advanced_parameter">
</field>
</fieldset>
</fields>
</config>
</extension>

This usually applies to cases where the plugin installed but does not displaythe parameter settings.